Subject: Re: [net-next,RFC PATCH] Introduce TC Range classifier

From: Jiri Pirko <[email-masked]>
Date: Fri, 14 Sep 2018 11:49:32 +0200

Thu, Sep 13, 2018 at 10:52:01PM CEST, [email-masked] wrote:
>This patch introduces a TC range classifier to support filtering based
>on ranges. Only port-range filters are supported currently. This can
>be combined with flower classifier to support filters that are a
>combination of port-ranges and other parameters based on existing
>fields supported by cls_flower. The 'goto chain' action can be used to
>combine the flower and range filter.
>The filter precedence is decided based on the 'prio' value.

For example Spectrum ASIC supports mask-based and range-based matching
in a single TCAM rule. No chains needed. Also, I don't really understand
why is this a separate cls. I believe that this functionality should be
put as an extension of existing cls_flower.